package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EmbarqueCatracaRodoviaria;

public class RenderConfiguracaoCodBarras implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object object) throws Exception {
		EmbarqueCatracaRodoviaria embarqueCatraca = (EmbarqueCatracaRodoviaria) object;
		Listcell listcell;

		listcell = new Listcell(embarqueCatraca.getSequenciaRod().toString());
		listcell.setParent(listItem);

		listcell = new Listcell(embarqueCatraca.getEmpresaRod().toString());
		listcell.setParent(listItem);

		listcell = new Listcell(embarqueCatraca.getEmpresa().getNombempresa());
		listcell.setParent(listItem);

		listcell = new Listcell(embarqueCatraca.getParada().getDescparada());
		listcell.setParent(listItem);
	}

}
